# saga::cpr::metrics Namespace Reference

Available metrics defined for the CPR API package. More...

## Variables
char const *const | checkpoint_modified = "checkpoint.Modified"
char const *const | checkpoint_deleted = "checkpoint.Deleted"
char const *const | directory_created_entry = "directory.CreatedEntry"
char const *const | directory_modified_entry = "directory.ModifiedEntry"
char const *const | directory_deleted_entry = "directory.DeletedEntry"
char const *const | checkpoint = "cpr_job.Checkpoint"
| Fires if the job gets a checkpoint request.
char const *const | checkpointed = "cpr_job.Checkpointed"
| Fires if the job finishes a checkpoint request.
char const *const | recover = "cpr_job.Recover"
| Fires if the job gets a recover request.
char const *const | recovered = "cpr_job.Recovered"
| Fires if the job finishes a recover request.

## Detailed Description

Available metrics defined for the CPR API package.

Most cp::job metrics are inherited from the job::job class, and only four are added to simplify application level checkpoiint management: checkpoint, checkpointed, recover, and recovered.
Usage example:
`//TODO`

## Variable Documentation

char const* const saga::cpr::metrics::checkpoint_modified = "checkpoint.Modified"

char const* const saga::cpr::metrics::checkpoint_deleted = "checkpoint.Deleted"

char const* const saga::cpr::metrics::directory_created_entry = "directory.CreatedEntry"

char const* const saga::cpr::metrics::directory_modified_entry = "directory.ModifiedEntry"

char const* const saga::cpr::metrics::directory_deleted_entry = "directory.DeletedEntry"

char const* const saga::cpr::metrics::checkpoint = "cpr_job.Checkpoint"

Fires if the job gets a checkpoint request.

char const* const saga::cpr::metrics::checkpointed = "cpr_job.Checkpointed"

Fires if the job finishes a checkpoint request.

char const* const saga::cpr::metrics::recover = "cpr_job.Recover"

Fires if the job gets a recover request.

char const* const saga::cpr::metrics::recovered = "cpr_job.Recovered"

Fires if the job finishes a recover request.